image: ubuntu:18.04
stages:
  - test
  - build
  - deploy

ci_test:
  stage: test
  script:
    - ls -lsa 

ci_test2:
  stage: test
  script:
    - ls -lsa .


build1:
   image: docker:stable
   stage: build
   script:
    - docker info
    - docker build -t my-docker-image .
    - docker images -a
    - docker ps -a
    # - docker run my-docker-image
    - echo $CI_REGISTRY
    - echo $CI_REGISTRY_IMAGE
    - echo $CI_REGISTRY_IMAGE:$CI_COMMIT_REF_SLUG
    - docker login -u $CI_REGISTRY_USER -p $CI_REGISTRY_PASSWORD $CI_REGISTRY
    - docker push angristan/riot
    - docker ps -a
